<?xml version="1.0" encoding="utf-16"?>
<hibernate-mapping  auto-import="true" default-lazy="false" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="urn:nhibernate-mapping-2.2">
  <class name="ServiceCenter.Data.CastleActiveRecord.Request, ServiceCenter.Data.CastleActiveRecord" table="Request">
    <id name="Id" access="property" column="RequestId" type="Int32" unsaved-value="0">
      <generator class="native">
      </generator>
    </id>
    <property name="DateIn" access="property" type="System.DateTime">
      <column name="DateIn" not-null="true" />
    </property>
    <property name="DateOut" access="property" type="System.DateTime, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
      <column name="DateOut" />
    </property>
    <property name="Model" access="property" type="Text">
      <column name="Model" length="50" not-null="true" />
    </property>
    <property name="Description" access="property" type="Text">
      <column name="Description" length="250" not-null="true" />
    </property>
    <property name="ClientName" access="property" type="Text">
      <column name="ClientName" length="150" not-null="true" />
    </property>
    <property name="ClientPhone" access="property" type="Text">
      <column name="ClientPhone" length="50" />
    </property>
    <property name="Cost" access="property" type="Int32">
      <column name="Cost" not-null="true" />
    </property>
    <property name="Comment" access="property" type="Text">
      <column name="Comment" length="250" />
    </property>
    <join table="Status">
      <key column="StatusId" />
      <many-to-one name="Status" access="property" class="ServiceCenter.Data.CastleActiveRecord.Status, ServiceCenter.Data.CastleActiveRecord" column="StatusId" not-null="true" lazy="proxy" not-found="exception" />
    </join>
    <join table="Employee">
      <key column="EmployeeId" />
      <many-to-one name="Employee" access="property" class="ServiceCenter.Data.CastleActiveRecord.Employee, ServiceCenter.Data.CastleActiveRecord" column="EmployeeId" not-null="true" lazy="proxy" not-found="exception" />
    </join>
    <join table="Manufacturer">
      <key column="ManufacturerId" />
      <many-to-one name="Manufacturer" access="property" class="ServiceCenter.Data.CastleActiveRecord.Manufacturer, ServiceCenter.Data.CastleActiveRecord" column="ManufacturerId" not-null="true" lazy="proxy" not-found="exception" />
    </join>
    <join table="DeviceType">
      <key column="DeviceTypeId" />
      <many-to-one name="DeviceType" access="property" class="ServiceCenter.Data.CastleActiveRecord.DeviceType, ServiceCenter.Data.CastleActiveRecord" column="DeviceTypeId" not-null="true" lazy="proxy" not-found="exception" />
    </join>
  </class>
</hibernate-mapping>
